Bug 179364 - [UPDATE] mail/opensmtpd to 5.3.3p1
Summary: [UPDATE] mail/opensmtpd to 5.3.3p1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-06 12:10 UTC by Emmanuel Vadot
Modified: 2013-06-07 04:41 UTC (History)
0 users

See Also:


Attachments
file.diff (2.58 KB, patch)
2013-06-06 12:10 UTC, Emmanuel Vadot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emmanuel Vadot 2013-06-06 12:10:00 UTC
- Update to 5.3.3p1
- Remove patch-smtpd_Makefile.am (use configure flag instead)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-06-06 12:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ashish SHUKLA freebsd_committer 2013-06-06 18:53:04 UTC
Hi,

Thanks for PR. I already had an update to the port waiting to be committed
today, so I'll use that. Though, the --sysconfdir change looks good to be
included in the update albeit with some changes:

1. Needs to go out of the PAM block.

2. Should be using PREFIX, instead of LOCALBASE.

3. path-smtpd_Makefile.am should not be deleted, though modified to only copy
   smtpd.conf.sample.

I'm going to build it, and then commit it, if it builds fine.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
Sent from my Emacs
Comment 3 dfilter service freebsd_committer 2013-06-07 04:39:46 UTC
Author: ashish
Date: Fri Jun  7 03:39:31 2013
New Revision: 320144
URL: http://svnweb.freebsd.org/changeset/ports/320144

Log:
  - Update to 5.3.3p1
  - Remove unneeded dependency on databases/sqlite3
  - Use a cleaner way to pass configuration directory[1]
  
  PR:		ports/179364[1]
  Submitted by:	Emmanuel Vadot <elbarto at bocal.org>[1]
  Changes:	http://article.gmane.org/gmane.mail.opensmtpd.general/630

Modified:
  head/mail/opensmtpd/Makefile
  head/mail/opensmtpd/distinfo
  head/mail/opensmtpd/files/patch-smtpd_Makefile.am

Modified: head/mail/opensmtpd/Makefile
==============================================================================
--- head/mail/opensmtpd/Makefile	Fri Jun  7 02:06:48 2013	(r320143)
+++ head/mail/opensmtpd/Makefile	Fri Jun  7 03:39:31 2013	(r320144)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	opensmtpd
-# Date created:		2012-05-13
-# Whom:			Ashish SHUKLA <ashish@FreeBSD.org>
-#
+# Created by: Ashish SHUKLA <ashish@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	opensmtpd
-PORTVERSION=	5.3.2
+PORTVERSION=	5.3.3
 PORTEPOCH=	1
 CATEGORIES=	mail
 MASTER_SITES=	http://www.opensmtpd.org/archives/ \
@@ -16,8 +12,7 @@ DISTNAME=	${PORTNAME}-${PORTVERSION}p1
 MAINTAINER=	ashish@FreeBSD.org
 COMMENT=	OpenSMTPD is a free MTA
 
-LIB_DEPENDS=	event-1:${PORTSDIR}/devel/libevent \
-		sqlite3:${PORTSDIR}/databases/sqlite3
+LIB_DEPENDS=	event-1:${PORTSDIR}/devel/libevent
 
 LICENSE_NAME=	ISCL
 
@@ -27,7 +22,7 @@ OPTIONS_DEFAULT=	PAM
 
 USE_AUTOTOOLS=	autoconf:env automake:env libtool:env
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS=	--with-libevent-dir=${LOCALBASE}
+CONFIGURE_ARGS=	--with-libevent-dir=${LOCALBASE} --sysconfdir=${PREFIX}/etc/mail/
 
 USE_RC_SUBR=	smtpd
 SUB_FILES=	pkg-install pkg-deinstall pkg-message

Modified: head/mail/opensmtpd/distinfo
==============================================================================
--- head/mail/opensmtpd/distinfo	Fri Jun  7 02:06:48 2013	(r320143)
+++ head/mail/opensmtpd/distinfo	Fri Jun  7 03:39:31 2013	(r320144)
@@ -1,2 +1,2 @@
-SHA256 (opensmtpd-5.3.2p1.tar.gz) = 512a80333d267a3cecf858b5106200a386e96894907e18e105b69cbd27699a08
-SIZE (opensmtpd-5.3.2p1.tar.gz) = 345468
+SHA256 (opensmtpd-5.3.3p1.tar.gz) = 34f0e208e6fdde5c5c25bb11f468436c4d6148a8b640c32117869cad140b823c
+SIZE (opensmtpd-5.3.3p1.tar.gz) = 343733

Modified: head/mail/opensmtpd/files/patch-smtpd_Makefile.am
==============================================================================
--- head/mail/opensmtpd/files/patch-smtpd_Makefile.am	Fri Jun  7 02:06:48 2013	(r320143)
+++ head/mail/opensmtpd/files/patch-smtpd_Makefile.am	Fri Jun  7 03:39:31 2013	(r320144)
@@ -3,31 +3,7 @@ $FreeBSD$
 
 --- smtpd/Makefile.am.orig
 +++ smtpd/Makefile.am
-@@ -97,7 +97,7 @@
- CFLAGS+=		-D_GNU_SOURCE
- CPPFLAGS=		-I$(srcdir) @CPPFLAGS@ $(PATHS) @DEFS@
- 
--PATHS=			-DSMTPD_CONFDIR=\"$(sysconfdir)\" \
-+PATHS=			-DSMTPD_CONFDIR=\"$(sysconfdir)/mail\" \
- 			-DPATH_SMTPCTL=\"$(sbindir)/smtpctl\" \
- 			-DPATH_MAILLOCAL=\"$(libexecdir)/mail.local\"
- 
-@@ -116,7 +116,7 @@
- 			../contrib/lib/libc/asr/asr_private.h			\
- 			$(CONFIGFILES_IN) $(MANPAGES_IN)
- 
--PATHSUBS=		-e 's|/etc/mail/|$(sysconfdir)/|g'			\
-+PATHSUBS=		-e 's|/etc/mail/|$(sysconfdir)/mail/|g'			\
- 			-e 's|/usr/libexec|$(libexecdir)|g'			\
- 			-e 's|/var/run/smtpd.sock|$(sockdir)/smtpd.sock|g'
- 
-@@ -142,16 +142,12 @@
- # smtpd.conf
- # newaliases makemap
- install-exec-hook: $(CONFIGFILES) $(MANPAGES)
--	$(MKDIR_P) $(DESTDIR)$(sysconfdir)
-+	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/mail
- 	$(MKDIR_P) $(DESTDIR)$(bindir)
+@@ -162,11 +162,7 @@
  	$(MKDIR_P) $(DESTDIR)$(mandir)/$(mansubdir)5
  	$(MKDIR_P) $(DESTDIR)$(mandir)/$(mansubdir)8
  
@@ -36,7 +12,7 @@ $FreeBSD$
 -	else									\
 -		echo "$(DESTDIR)$(sysconfdir)/smtpd.conf already exists, install will not overwrite"; \
 -	fi
-+	$(INSTALL) -m 644 smtpd.conf.out $(DESTDIR)$(sysconfdir)/mail/smtpd.conf.sample
++	$(INSTALL) -m 644 smtpd.conf.out $(DESTDIR)$(sysconfdir)/smtpd.conf.sample
  
  	ln -f $(DESTDIR)$(sbindir)/smtpctl$(EXEEXT)				\
  		$(DESTDIR)$(bindir)/mailq$(EXEEXT);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Ashish SHUKLA freebsd_committer 2013-06-07 04:41:04 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!